Payments
List payments
Authorization
secretKey AuthorizationBearer <token>
Your secret key: sk_live_… or sk_test_….
In: header
Query Parameters
limit?integer
Range
1 <= value <= 100Default
20cursor?string
The next_cursor of the previous page.
status?unknown
Value in
- "processing"
- "succeeded"
- "failed"
- "refunded"
- "partially_refunded"
customer_id?string
Match
^cus_[0-9a-f]{32}$checkout_session_id?string
Match
^cks_[0-9a-f]{32}$Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/payments"{ "items": [ { "object": "payment", "payment_id": "pay_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c", "status": "processing", "total_amount": 0, "refunded_amount": 0, "fee_amount": 0, "net_amount": 0, "currency": "AED", "description": "string", "customer": { "customer_id": "cus_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c", "name": "string", "email": "string", "phone_number": "string" }, "checkout_session_id": "cks_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c", "subscription_id": "sub_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c", "billing_reason": "payment", "metadata": { "property1": "string", "property2": "string" }, "livemode": true, "created_at": "2019-08-24T14:15:22Z", "paid_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}